### Method

# Gtk ScrolledWindowset_policy

#### Declaration [src]

    void
    gtk_scrolled_window_set_policy (
      GtkScrolledWindow* scrolled_window,
      GtkPolicyType hscrollbar_policy,
      GtkPolicyType vscrollbar_policy
    )

#### Description [src]

Sets the scrollbar policy for the horizontal and vertical scrollbars.

The policy determines when the scrollbar should appear; it is a value from the `GtkPolicyType` enumeration. If `GTK_POLICY_ALWAYS`, the scrollbar is always present; if `GTK_POLICY_NEVER`, the scrollbar is never present; if `GTK_POLICY_AUTOMATIC`, the scrollbar is present only if needed (that is, if the slider part of the bar would be smaller than the trough — the display is larger than the page size).

#### Parameters

`hscrollbar_policy`

  Type: `GtkPolicyType`

  Policy for horizontal bar.

`vscrollbar_policy`

  Type: `GtkPolicyType`

  Policy for vertical bar.